package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ConfiguracionProductoParadaDAO;
import com.rjconsultores.ventaboletos.entidad.ConfiguracionProducto;
import com.rjconsultores.ventaboletos.entidad.ConfiguracionProductoParada;
import com.rjconsultores.ventaboletos.service.ConfiguracionProductoParadaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("configuracionProductoParadaService")
public class ConfiguracionProductoParadaServiceImpl implements ConfiguracionProductoParadaService{

	@Autowired
	private ConfiguracionProductoParadaDAO configuracionProductoParadaDAO;
	
	@Override
	public List<ConfiguracionProductoParada> obtenerTodos() {
		return configuracionProductoParadaDAO.obtenerTodos();
	}

	@Override
	public ConfiguracionProductoParada obtenerID(Long id) {
		return configuracionProductoParadaDAO.obtenerID(id);
	}

	@Transactional
	public ConfiguracionProductoParada suscribir(ConfiguracionProductoParada entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return configuracionProductoParadaDAO.suscribir(entidad);
	}

	@Transactional
	public ConfiguracionProductoParada actualizacion(ConfiguracionProductoParada entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
//		entidad.setActivo(Boolean.TRUE);
		return configuracionProductoParadaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ConfiguracionProductoParada entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);
		configuracionProductoParadaDAO.borrar(entidad);
	}

	@Override
	public List<ConfiguracionProductoParada> buscarPorId(ConfiguracionProducto id) {
		return configuracionProductoParadaDAO.buscarPorId(id);
	}

}
